package com.jz.dmp.modules.controller.DataIntegration.bean;


import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName: DvRuleTDto
 * @Description: 校验规则
 * @Author：Bellamy
 * @Date 2020/12/24
 * @Version 1.0
 */
@ApiModel(value = "校验规则返回参数", description = "校验规则")
public class DvRuleTDto implements Serializable {

    private static final long serialVersionUID = 6133889347349373723L;
    /**
     * 规则ID
     */
    @ApiModelProperty(value = "规则ID")
    private Long ruleId;

    /**
     * 规则名称
     */
    @ApiModelProperty(value = "规则名称")
    private String ruleName;

    /**
     * content(json)
     */
    @ApiModelProperty(value = "content(json)")
    private String ruleContent;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private String createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private String updateTime;

    /**
     * 规则校验JSON
     */
    @ApiModelProperty(value = "规则校验JSON")
    private JSONObject ruleContentJson;

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getRuleContent() {
        return ruleContent;
    }

    public void setRuleContent(String ruleContent) {
        this.ruleContent = ruleContent;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public JSONObject getRuleContentJson() {
        return ruleContentJson;
    }

    public void setRuleContentJson(JSONObject ruleContentJson) {
        this.ruleContentJson = ruleContentJson;
    }
}
