package com.jz.dmp.modules.controller.projconfig.bean;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jz.dmp.modules.model.DmpComputEngine;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**计算引擎表Dto
 * @author ybz
 *
 */
@ApiModel(value = "计算引擎表Dto", description = "计算引擎表Dto")
@JsonIgnoreProperties(value = {"handler"})
public class DmpComputEngineDto extends DmpComputEngine {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "计算引擎参数列表")
	private List<DmpComputEngineParamDto> paramDtos;
	
	@ApiModelProperty(value = "计算引擎公共参数列表")
	private List<DmpComputEngineParamDto> pubParamDtos;

	public List<DmpComputEngineParamDto> getParamDtos() {
		return paramDtos;
	}

	public void setParamDtos(List<DmpComputEngineParamDto> paramDtos) {
		this.paramDtos = paramDtos;
	}

	public List<DmpComputEngineParamDto> getPubParamDtos() {
		return pubParamDtos;
	}

	public void setPubParamDtos(List<DmpComputEngineParamDto> pubParamDtos) {
		this.pubParamDtos = pubParamDtos;
	}

}
